Summary:   Tools for the Hughski Colorimeter
Name:      colorhug-client
Version:   0.1.8
Release:   1%{?dist}
License:   GPLv2+
URL:       http://www.hughski.com/
Source0:   http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz

BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: gtk3-devel
BuildRequires: intltool
BuildRequires: libgusb-devel >= 0.1.2
BuildRequires: colord-devel >= 0.1.15
BuildRequires: lcms2-devel
BuildRequires: libsoup-devel
BuildRequires: libtool
BuildRequires: docbook-utils
BuildRequires: libcanberra-devel >= 0.10
BuildRequires: gobject-introspection-devel

%description
The Hughski ColorHug colorimeter is a low cost open-source hardware
sensor used to calibrate screens.

This package includes the client tools which allows the user to upgrade
the firmware on the sensor or to access the sensor from command line
scripts.

%package devel
Summary: GLib Libraries and headers for zif
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel
Requires: libgusb-devel

%description devel
GLib headers and libraries for colorhug-client.

%prep
%setup -q

%build
%configure --disable-static

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/libcolorhug*.la

%find_lang %{name}

%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%{_libdir}/libcolorhug.so.*
%dir %{_datadir}/colorhug-client
%{_datadir}/colorhug-client
%{_libexecdir}/colorhug*
%{_bindir}/colorhug*
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*colorhug*.png
%{_datadir}/icons/hicolor/*/mimetypes/application-x-ccmx.*
%{_datadir}/icons/hicolor/scalable/apps/colorhug.svg
%{_mandir}/man1/*.1.gz
%{_sysconfdir}/bash_completion.d/*-completion.bash

%files devel
%defattr(-,root,root,-)
%{_libdir}/libcolorhug.so
%{_libdir}/pkgconfig/colorhug.pc
%dir %{_includedir}/libcolorhug
%{_includedir}/libcolorhug/*.h
%{_libdir}/girepository-1.0/ColorHug-1.0.typelib
%{_datadir}/gir-1.0/ColorHug-1.0.gir

%changelog
* Tue Apr 17 2012 Richard Hughes <richard@hughsie.com> 0.1.8-1
- New upstream version.
- Automatically use the correct proxy server using glib-networking
- Make a sound when colorhug-flash fails or completes the update.
- Prevent a possible crash when verifying firmware.
- Prevent critical warnings when doing 'colorhug list-calibration'

* Thu Mar 15 2012 Richard Hughes <richard@hughsie.com> 0.1.7-1
- New upstream version.
- Allow the user to update to test firmware if enabled in GSettings
- Create a trivial libcolorhug library for low level access
- Correctly detect the failure to re-enumerate

* Sun Mar 04 2012 Richard Hughes <richard@hughsie.com> 0.1.6-1
- New upstream version.

* Thu Jan 26 2012 Richard Hughes <richard@hughsie.com> 0.1.5-1
- New upstream version.

* Tue Jan 10 2012 Richard Hughes <richard@hughsie.com> 0.1.4-1
- New upstream version.
- A huge number of new translations and some bugfixes.

* Mon Dec 26 2011 Richard Hughes <richard@hughsie.com> 0.1.3-1
- New upstream version.

* Fri Dec 09 2011 Richard Hughes <richard@hughsie.com> 0.1.2-1
- New upstream version.

* Wed Nov 30 2011 Richard Hughes <richard@hughsie.com> 0.1.1-1
- New upstream version.

* Sat Nov 26 2011 Richard Hughes <richard@hughsie.com> 0.1.0-2
- BR the correct version of GTK.

* Fri Nov 11 2011 Richard Hughes <richard@hughsie.com> 0.1.0-1
- Initial version for Fedora package review
